Bug 1460154 - links to ceph-installer web UI [NEEDINFO]
links to ceph-installer web UI
Status: NEW
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: Ankush Behl
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 05:17 EDT by Martin Kudlej
Modified: 2017-06-23 06:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbukatov: needinfo? (kdreyer)


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2017-06-09 05:17:11 EDT
Description of problem:
There are ceph-installer IDs in logs in Console UI. It will be better for debugging if those IDs are links to ceph-installer web UI.

Idea is to have in UI links like "<a href='http://_hostname_of_ceph_provisioner_:8181/api/tasks/396e3984-6926-486a-bf54-e19b0f7cbb03/'>ceph-installer task</a>" instead of "ceph-installer task 396e3984-6926-486a-bf54-e19b0f7cbb03"

Version-Release number of selected component (if applicable):
tendrl-dashboard-3.0-alpha.4.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. Run Create Ceph cluster job 
2. watch logs in UI.

Actual results:
There in no link to ceph-installer UI from Tendrl logs in UI.

Expected results:
There are links to ceph-installer UI from Tendrl logs in UI.
Comment 3 Martin Bukatovic 2017-06-16 16:16:49 EDT
I like this suggestion a lot.

That said:

> Idea is to have in UI links like "<a href='http://_hostname_of_ceph_provisioner_:8181/api/tasks/396e3984-6926-486a-bf54-e19b0f7cbb03/'>ceph-installer task</a>" instead of "ceph-installer task 396e3984-6926-486a-bf54-e19b0f7cbb03"

this particular implementation suggestion would require to have ceph-installer
available on public network and I'm not sure if that would be the case.
Comment 4 Martin Bukatovic 2017-06-16 16:19:42 EDT
Ken, what approach would you suggest here?

Note You need to log in before you can comment on or make changes to this bug.